---
title: Sec-Fetch-Site
slug: Web/HTTP/Headers/Sec-Fetch-Site
tags:
  - Fetch Metadata Request Headers
  - HTTP
  - HTTP Header
---
<p>{{HTTPSidebar}}{{Draft}}</p>

<p>The <strong><code>Sec-Fetch-Site</code></strong> fetch metadata header indicates the relationship between a request initiator's origin and the origin of the resource.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Fetch Metadata Request Header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes, since it has prefix <code>Sec-</code></td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("CORS-safelisted response header")}}</th>
   <td></td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("CORS-safelisted request header")}}</th>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Sec-Fetch-Site: cross-site
Sec-Fetch-Site: same-origin
Sec-Fetch-Site: same-site
Sec-Fetch-Site: none
</pre>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>cross-site</code></dt>
 <dd></dd>
 <dt><code>same-origin</code></dt>
 <dd></dd>
 <dt><code>same-site</code></dt>
 <dd></dd>
 <dt><code>none</code></dt>
 <dd>This request does not relate to any context like site, origin, or frame. This can happen when user had initiated this request by, e.g. directly entering a URL in the address bar, opening a bookmark, or dragging-and-dropping a file into the browser window.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TODO</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Fetch Metadata','#sec-fetch-site-header', 'Sec-Fetch-Site')}}</td>
   <td>{{Spec2("Fetch Metadata")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Sec-Fetch-Site")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Sec-Fetch-Mode")}}</li>
 <li>{{HTTPHeader("Sec-Fetch-User")}}</li>
 <li>{{HTTPHeader("Sec-Fetch-Dest")}}</li>
</ul>
